%define		module	consolekit
Summary:	Additional utilities for click
Name:		python3-%{module}
Version:	1.7.2
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	https://pypi.debian.net/consolekit/%{module}-%{version}.tar.gz
# Source0-md5:	40252ac1089e0de3e7306109c30be76c
#URL:		https://pypi.org/project/MODULE/
URL:		https://pypi.org/project/consolekit/
BuildRequires:	python3-build
BuildRequires:	python3-flit_core < 4
BuildRequires:	python3-flit_core >= 3.2
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Additional utilities for click.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build_pyproject

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}.dist-info
%changelog
* Wed May 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-consolekit.git;a=log;h=master

* Wed May 28 2025 Jan Rękorajski <baggins@pld-linux.org> 5fd65ed
- rel 1

* Sat Apr 19 2025 Jan Palus <atler@pld-linux.org> ca14b21
- BR: python3-flit_core

* Sat Feb 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> ad5e2e9
- Migrate to new macros

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> f0d5f08
- Initial

